Models
Available Models
Lists only the models enabled for the company.
GET
/
ai-models
/
availables
Available Models
curl --request GET \
--url https://api.example.com/ai-models/availablesimport requests
url = "https://api.example.com/ai-models/availables"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/ai-models/availables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Endpoint
GET https://gateway.orkeia.ai/ai-models/availables
Headers
Requires headerauthorization: <your_token>.
authorization: <your_token>
Content-Type: application/json
Request Body
{
"environment": {
"company": "acme-inc",
"sector": "support"
}
}
Response (200)
{"status":"ok", "data": [
{
"id": "MODEL_12345",
"name": "GPT-4 Orkeia",
"sectors": ["engineering", "support"],
"description": "Advanced reasoning model",
"enabled": true,
"provider": "openai",
"model": "gpt-4-0613"
}
]
}```
## Error Codes
### 500 — Server Error
```json
{
"status": "ERROR",
"code": "server/error",
"data": null
}
400 — Client Error
{
"status": "ERROR",
"code": "client/error",
"data": null
}
Was this page helpful?
⌘I
